Figure - Bug #113474
00 Test-ST#113421 (New): V400 0O O OO0
O O Test-ST # 113422 (New): V4.00 O --AFO O --monkeyd O

O AFO O EVT20O O Monkeyd Monkeyd 0 800 O O O O CRASH: com.android.settingsd 121
2022-11-01 15:05 - CD Test(] [J

Status: CLOSED Start date: 2022-11-01

Priority: Normal Due date:

Assignee: CD Test O % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: - Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.2
Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-11-18

Test Type: Monkey Test Root cause: OD0handler OO0 O0D0ODOODOOOODOOQODOOC
Description

oo0ooo

1. adb shell

2. monkey --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes -s 20 --throttle 200
--pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 5 --pct-anyevent 5 --ignore-crashes -v -v -v 180000
2>/sdcard/error.txt 1>/sdcard/info.txt

gooon

10-28 12:06:12.321 6173 22858 W Monkey : // CRASH: com.android.settings (pid 3495)

10-28 12:06:12.322 6173 22858 W Monkey : // Short Msg: java.lang.NullPointerException

10-28 12:06:12.322 6173 22858 W Monkey : // Long Msg: java.lang.NullPointerException: Attempt to invoke virtual method
‘android.content.res. TypedArray android.content.Context.obtainStyledAttributes(int[])" on a null object reference

10-28 12:06:12.323 6173 22858 W Monkey : // Build Label: TC/figure_ CN/figure:12/SKQ1.220201.001/1230:userdebug/test-keys
10-28 12:06:12.323 6173 22858 W Monkey : // Build Changelist: 1230

10-28 12:06:12.323 6173 22858 W Monkey : // Build Time: 1666894340000

10-28 12:06:12.324 6173 22858 W Monkey : // java.lang.NullPointerException: Attempt to invoke virtual method
‘android.content.res. TypedArray android.content.Context.obtainStyledAttributes(int[])* on a null object reference

10-28 12:06:12.324 6173 22858 W Monkey :// at com.android.settingslib.Utils.getColorAttrDefaultColor(Utils.java:312)

10-28 12:06:12.324 6173 22858 W Monkey :// at
com.android.settings.notification.history.NotificationSbnAdapter.<init>(NotificationSbnAdapter.java:84)

10-28 12:06:12.324 617322858 W Monkey :// at
com.android.settings.notification.history.NotificationHistoryActivity$2.onListenerConnected(NotificationHistoryActivity.java:405)
10-28 12:06:12.324 6173 22858 W Monkey :// at
android.service.notification.NatificationListenerServicesMyHandler.handleMessage(NotificationListenerService.java:2319)

10-28 12:06:12.324 6173 22858 W Monkey :// at android.os.Handler.dispatchMessage(Handler.java:106)

10-28 12:06:12.324 6173 22858 W Monkey :// at android.os.Looper.loopOnce(Looper.java:201)

10-28 12:06:12.324 6173 22858 W Monkey :// atandroid.os.Looper.loop(Looper.java:288)

10-28 12:06:12.324 6173 22858 W Monkey :// at android.app.ActivityThread.main(ActivityThread.java:7880)

10-28 12:06:12.324 6173 22858 W Monkey :// at java.lang.reflect. Method.invoke(Native Method)

10-28 12:06:12.324 6173 22858 W Monkey :// at com.android.internal.os.Runtimelnit$MethodAndArgsCaller.run(Runtimelnit.java:548)
10-28 12:06:12.324 6173 22858 W Monkey :// at com.android.internal.o0s.Zygotelnit. main(Zygotelnit.java:1009)

10-28 12:06:12.324 6173 22858 W Monkey : //
History

#1 - 2022-11-01 16:07 - CD Testd O

0 0O O Bug #113456 O O

#2 - 2022-11-02 14:01 - CDTS-TEST O O
- Target version set to VX1_MCE_FSE_V3.0_update_20221130

#3-2022-11-0310:36 -CDFW DO OO

- Status changed from New to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-11-04

- Root cause setto 0 O O O ActivityD) O O O O O fragment0 O O O O O O getActivity[ getContext0) O 0 0O O Activityd 0 O O O fragmentD 0 OO0 0 OO
Ofragment0 0000

goo,0o00oo
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/159676

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/159706

MonkeyD 0 OO O0OD0OOOODOOOMonkeyd OO QOO

#4 - 2022-11-07 10:31 - CD Testd O

- File Log.zip added

- Status changed from RESOLVED to ASSIGNED
- % Done changed from 100 to 40

11040 DBO O O Monkey 600 D OO0 O 00O 20

0040000 0 MonkeyO 20 debugd O + 20 userd O O

O0020Debygl DOCOCOOOOI0DO0O0O0O0OuwerDODOODOOOOOOOO
goooo

#5-2022-11-1019:31-CDFW O OO

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW O O O to CD TestO O

- % Done changed from 40 to 70

- Fixed Version changed from 2022-11-04 to 2022-11-11

- Root cause changed from O 0 [0 O Activityd 0 0 O O O fragment 0 0 O O O O getActivity[ getContext(] O O O O Activityd 0 O 0 O fragmentd O O 0 0 O
OOfragmentC O 00O toO0Ohandler D000 OOOCOCOOOOOOODOOODOOODOOOC crash

.current status

goooo

.my analysis
OOhandlerOOCOOOOOOOOOOOOOODODOOOOOOOCrash

.submit url
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/159676
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/159706

https://120.133.72.237/gerrit/c/general/platform/packages/apps/Settings/+/161647

#6 - 2022-11-14 10:52 - CD TestO O

l1g1uobpB00OO0OoOooOog
Monkeyd 0 000002000

#7 - 2022-11-16 10:49 - CD Testd O
- Status changed from RESOLVED to ASSIGNED
- % Done changed from 70 to 40

110 150 Released O Juser0 0 O 0 O O 10
Logd FTPO
ftp://cdiot@192.168.87.46/Pre_figure/Test Log/Bug_113474/Tlog.zip

#8 - 2022-11-16 10:50 - CD TestO O
- Assignee changed from CD TestD 0 toCDFW O O O

#9 - 2022-11-16 15:09-CDFW O O O
- Assignee changed fromCDFW O 0 O toCDFW-0O O

ooooo

#10 - 2022-11-16 19:43 - CDTS-TEST O O
- Due date deleted (2022-11-08)
- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V5.0_20221230

#11 - 2022-11-17 18:52 - CD FW-0 O

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-0 O to CD Testd O
- % Done changed from 40 to 100

- Fixed Version changed from 2022-11-11 to 2022-11-18

m Current conclusion
joooooooooo
0 0O O https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/163528

m My analysis
oo0o0oo0o0oo0o00oOo0o00oO0O0UOO0O0D0OO0O0OO0O0ODOO0DODOOODOOO
000000000000 oo0o0ooOooooOoDOoo

m Nextaction

oooo

#12 - 2022-11-18 10:39 - CD TestO O
https://120.133.72.237/gerrit/c/general/platform/packages/apps/Settings/+/161647
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_113474/Tlog.zip
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/163528

- % Done changed from 100 to 70

#13 - 2022-11-22 10:05 - CD TestO O

l1gi1isobpsOoOoooood

MonkeyD 0000002000

#14 - 2022-11-24 20:43 - CD TestO O

110230DBO0 0000000

Monkeyd 0 0 00001000

#15 - 2022-11-2511:40 - CD TestO O

- Status changed from RESOLVED to VERIFIED

- % Done changed from 70 to 80

110240 Release0 0 0 OO0 OO

goosx;pooooooobooooo

#16 - 2022-11-25 11:41 - CD TestO O

- Status changed from VERIFIED to CLOSED

- % Done changed from 80 to 100

#17 - 2022-12-22 20:53 - CD Fw-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

163528

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:Settings: Fix NotificationHistoryActivity's NullPointerException. TC-RID: 1201-0201803Issuel D: TS-R-BUG-113474Change-1d:
